global:
  ownerAccess: true
  ingress:
    annotations:
      cert-manager.io/cluster-issuer: vault-infra

  replicaCount: 1

  services:
    robot-gateway:
      replicaCount: 2
      env:
        # TODO: Think about how to support ephemeral env in Fleetdashv2
        ROBOT_GATEWAY__ROBOT_GATEWAY_CONTROLLER__ENVIRONMENT:
          value: '"ephemeral"'

    trip:
      env:
        DISPATCH_TRIP__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        DISPATCH_TRIP__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        DISPATCH_TRIP__POSTGRES__PORT:
          value: "5432"
          valueFrom: false

    predetermined-route:
      env:
        PREDETERMINED_ROUTE__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        PREDETERMINED_ROUTE__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        PREDETERMINED_ROUTE__POSTGRES__PORT:
          value: "5432"
          valueFrom: false

    user:
      env:
        ZOOX_DISPATCH_USER__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        ZOOX_DISPATCH_USER__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        ZOOX_DISPATCH_USER__POSTGRES__PORT:
          value: "5432"
          valueFrom: false

    robot:
      env:
        ROBOT__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        ROBOT__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        ROBOT__POSTGRES__PORT:
          value: "5432"
          valueFrom: false
        ROBOT__TELEMETRY_CLIENT__URL:
          value:  'http://elastic:secret@telemetry-es-http:9200'
        ROBOT__TELEMETRY_CLIENT__INDEX:
          value:  ephemeral_telemetry_v2

    robot-sims-v2:
      env:
        ROBOT_SIMS_V2__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        ROBOT_SIMS_V2__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        ROBOT_SIMS_V2__POSTGRES__PORT:
          value: "5432"
          valueFrom: false
        ROBOT_SIMS_V2__ROBOT_SIMS_CONTROLLER__ENV:
          value: ephemeral

    session:
      env:
        ZOOX_DISPATCH_SESSION__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        ZOOX_DISPATCH_SESSION__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        ZOOX_DISPATCH_SESSION__POSTGRES__PORT:
          value: "5432"
          valueFrom: false

    mission:
      env:
        MISSION_SERVICE__POSTGRES__HOST:
          value: postgresql
          valueFrom: false
        MISSION_SERVICE__POSTGRES__PASSWORD:
          value: secret
          valueFrom: false
        MISSION_SERVICE__POSTGRES__PORT:
          value: "5432"
          valueFrom: false
        MISSION_SERVICE__MISSION_DIAGNOSTICS_STORE__ES_URL:
          value: "https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com"
        MISSION_SERVICE__MISSION_DIAGNOSTICS_STORE__ES_INDEX:
          value: "mission_diagnostics_ephemeral"

    robot-sims:
      replicaCount: "0"
      env:
        ROBOT_SIMS_DAEMON__ROBOT_SIM__ENV:
          value: ephemeral
        ROBOT_SIMS_DAEMON_RUNNER__ROBOT_SIMS_DAEMON__PROCESSES:
          value: '"0"'

    diagnostics:
      env:
        DIAGNOSTICS_SERVICE__ES_CLIENT__URL:
          value: "http://elastic:secret@telemetry-es-http:9200"
        DIAGNOSTICS_SERVICE__DIAGNOSTICS_SERVICE_CONTROLLER__MISSION_STATE_TRANSITION_ES_URL:
          value: "https://vpc-firaoqtbvvqxmuuiwdgzpgeldwao-bgykekya3z6idzpihxclaljmoa.us-west-2.es.amazonaws.com"
        DIAGNOSTICS_SERVICE__DIAGNOSTICS_SERVICE_CONTROLLER__MISSION_STATE_TRANSITION_ES_INDEX:
          value: "mission_diagnostics_ephemeral"

ci-pipeline:
  enabled: true

  vault-link:
    secrets:
      auth0: true


  integrationTest:
    env:
      MAESTRO_INTEGRATION_TEST_ENV:
        value: "eks-test"

postgresql:
  enabled: true
  master:
    podAnnotations:
      sidecar.istio.io/inject: "false"

sqs-sns:
  enabled: true

telemetry:
  enabled: true

elasticsearch-curator:
  nameOverride: telemetry-curator
  fullnameOverride: telemetry-curator

  configMaps:
    # Delete indices older than 7 days
    action_file_yml: |-
      ---
      actions:
        1:
          action: delete_indices
          description: "Clean up ES by deleting old indices"
          options:
            timeout_override:
            continue_if_exception: False
            disable_action: False
            ignore_empty_list: True
          filters:
          - filtertype: age
            source: name
            direction: older
            timestring: '%Y.%m.%d'
            unit: days
            unit_count: 2
            field:
            stats_result:
            epoch:
            exclude: False
    config_yml: |-
      ---
      client:
        hosts:
          - http://telemetry-es-http
        port: 9200
        http_auth: elastic:secret

prep-dbs:
  env:
    MASTER_PASSWORD:
      value: secret
      valueFrom: false
    ENDPOINT_ADDRESS:
      value: postgresql
      valueFrom: false
    PORT:
      value: "5432"
      valueFrom: false

init-dbs:
  env:
    ENDPOINT_ADDRESS:
      value: postgresql
      valueFrom: false
    MASTER_PASSWORD:
      value: secret
      valueFrom: false
    MASTER_USERNAME:
      value: postgres
      valueFrom: false
    PORT:
      value: "5432"
      valueFrom: false
    DB_NAME:
      value: postgres
      valueFrom: false
